Subject: Final Anti-Gay Initiative Ballot Titles - WA #608 and #610 (fwd)
From: Song Weaver <[email-masked]>
Date: Wed, 23 Feb 94 15:44:00 PST

Gotten by calling the Seattle Gay News. Apologies for wide
distribution. These are, as far as anybody can tell, the FINAL titles. #608
is going to be the sleeper, offered up as the "compromise" action. Must
guard against either being considered as okay.
                                                [name deleted]

Initiative #608 - Washington Public Affairs Council, a.k.a. "Committee
for Equal Rights, Not Special Rights" - final title:
     Shall government be prohibited from according rights or
     protections based on sexual orientation, and schools
     from presenting homosexuality as acceptable?

Initiative #610 - Citizens Alliance of Washington - final title:
     Shall rights based on homosexuality; homosexuals' custody
     of their own or other children; and government approval of
     homosexuality be prohibited?